/*
 * Purple - Internet Messaging Library
 * Copyright (C) Pidgin Developers <devel@pidgin.im>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, see <https://www.gnu.org/licenses/>.
 */

#include <glib/gi18n-lib.h>

#include "purplesipprotocol.h"

struct _PurpleSipProtocol {
	PurpleProtocol parent;
};

/******************************************************************************
 * GObject Implementation
 *****************************************************************************/
G_DEFINE_DYNAMIC_TYPE_EXTENDED(
	PurpleSipProtocol,
	purple_sip_protocol,
	PURPLE_TYPE_PROTOCOL,
	G_TYPE_FLAG_FINAL,
	{})

static void
purple_sip_protocol_init(G_GNUC_UNUSED PurpleSipProtocol *protocol) {
}

static void
purple_sip_protocol_class_finalize(G_GNUC_UNUSED PurpleSipProtocolClass *klass) {
}

static void
purple_sip_protocol_class_init(PurpleSipProtocolClass *klass) {
	PurpleProtocolClass *protocol_class = PURPLE_PROTOCOL_CLASS(klass);
}

/******************************************************************************
 * Local Exports
 *****************************************************************************/
void
purple_sip_protocol_register(GPluginNativePlugin *plugin) {
	purple_sip_protocol_register_type(G_TYPE_MODULE(plugin));
}

PurpleProtocol *
purple_sip_protocol_new(void) {
	PurpleProtocol *protocol = NULL;
	PurpleTags *tags = NULL;

	protocol = g_object_new(
		PURPLE_SIP_TYPE_PROTOCOL,
		"id", "prpl-sip",
		"name", "SIP",
		"description", _("Session Initiation Protocol which is used in "
		                 "internet telephony."),
		"icon-name", "im-purple-sip",
		"icon-resource-path", "/im/pidgin/libpurple/protocols/sip/icons",
		"options", OPT_PROTO_NO_PASSWORD,
		NULL);

	tags = purple_protocol_get_tags(protocol);
	purple_tags_add(tags, "in-development");

	return protocol;
}
